org.eclipse.gmt.modisco.infra.query.core

## Interface IModelQueryFactory

All Known Implementing Classes:
  JXPathModelQueryFactory

Deprecated.

    @Deprecated
    public interface IModelQueryFactory

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`AbstractModelQuery` `create(ModelQuery modelQuery, Bundle bundle)` Deprecated.
`EClass` `getManagedModelQueryType()` Deprecated.

### Method Detail

#### create

    AbstractModelQuery create(ModelQuery modelQuery,
                              Bundle bundle)
                       throws ModelQueryException

Deprecated.

Throws:
  `ModelQueryException`

#### getManagedModelQueryType

    EClass getManagedModelQueryType()

Deprecated.